import java.util.ArrayList;
import java.util.List;

public class LeaderboardSimple implements ILeaderboard {

    private List<String> businesses;

    public LeaderboardSimple() {
        businesses = new ArrayList<>(); // for most problems, use an ArrayList
    }

    @Override
    public String get(int i) {
        return businesses.get(i);
    }

    @Override
    public void set(int i, String name) {
        businesses.set(i, name);
    }

    @Override
    public int size() {
        return businesses.size();
    }

    @Override
    public void insert(int i, String name) {
        businesses.add(i, name);
    }

    @Override
    public void addToEnd(String name) {
        businesses.add(name);
    }

    @Override
    public void addToStart(String name) {
        businesses.add(0, name);
    }

    @Override
    public void remove(int i) {
        businesses.remove(i);
    }

    @Override
    public void remove(String name) {
        businesses.remove(name);
    }
}
